読者です 読者をやめる 読者になる 読者になる

うさがにっき

読書感想文とプログラムのこと書いてきます

Google VR SDK for Unity1.10.0 ではcardboardアプリを作る際にDaydream technical previewを使ったほうがいい

unity cardboard vr

概要

Unity5.5においてGoogle VR SDK for Unityを1.10.0にアップデートしたところ、Virtual Reality SDKsにcardboardが表示されなくなった
その解決策をまとめる

詳細

わかんなかったのでforumに投げた
結論はこれ
https://forum.unity3d.com/threads/can-i-use-cardboard-with-unity-5-5.445127/

つまりGoogle VR SDK for Unity1.10.0 ではcardboardアプリを作る際にDaydream technical previewを使ったほうがいい
理由としては、スクリプトが新しくなったらしくそれに対応しているのはDaydream technical preview版だけらしい
古いスクリプトを使うことにより対応させることはできるが、大変なのでやめたほうがいいとのこと

cardboardアプリを作るのにdaydream technical previewを使わなきゃいけないのがイマイチ腑に落ちないが、まぁ、仕方ない・・・
報告したしきっと対応してくれるはず

2016/12/16
Unity5.6betaがリリースされた
Unity 5.6 beta is now available – Unity Blog

Daydream対応を謳っているがまだかなりバグがあり、乗り換えるのは待ったほうがいい
https://forum.unity3d.com/threads/should-we-move-to-5-6-beta.446084/#post-2886468
> If you make use of the Google VR SDK then I would wait till b3 for sure.

Daydream Technical Preview版もアップデートされ続けているのでしばらくはGoogleVRを使う場合そちらを使うべき